int n, q;
int[] ulaz = Console.ReadLine()
    .Split(' ', StringSplitOptions.RemoveEmptyEntries)
    .Select(int.Parse)
    .ToArray();

n = ulaz[0]; 
q = ulaz[1];

string s = Console.ReadLine();

if (s.Contains('?'))
{
    Console.WriteLine(n + n / 2);
}
else 
{
    
}